<?php
/**
 * @package    HikaShop for Joomla!
 * @version    1.5.7
 * @author    hikashop.com
 * @copyright  (C) 2010-2012 HIKARI SOFTWARE. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?>
<div id="hikashop_affiliate_main">
<?php
if(!empty($this->user->user_id)){
  $js ='
  function changeCurrency() {
    alert(\''.JText::_('PARTNER_CHANGE_CURRENCY_WARNING').'\');
  }';
  $doc =& JFactory::getDocument();
  $doc->addScriptDeclaration("\n<!--\n".$js."\n//-->\n");
?>
<fieldset>
  <div class="header hikashop_header_title" ><h1><?php echo JText::_('AFFILIATE');?></h1></div>
  <div class="toolbar hikashop_header_buttons" id="toolbar" >
    <table>
      <tr>
        <td>
          <a onclick="submitbutton('apply'); return false;" href="#" >
            <span class="icon-32-apply" title="<?php echo JText::_('HIKA_APPLY'); ?>">
            </span>
            <?php echo JText::_('HIKA_APPLY'); ?>
          </a>
        </td>
        <td>
          <a onclick="javascript:submitbutton('cancel'); return false;" href="#" >
            <span class="icon-32-back" title="<?php echo JText::_('HIKA_BACK'); ?>">
            </span>
            <?php echo JText::_('HIKA_BACK'); ?>
          </a>
        </td>
      </tr>
    </table>
  </div>
</fieldset>
<?php } ?>
<div class="iframedoc" id="iframedoc"></div>
<form action="index.php?option=com_hikashop&amp;ctrl=affiliate" method="post"  name="adminForm" id="adminForm">
  <?php if(!empty($this->user->user_partner_activated)){?>
  <table cellspacing="1" width="100%">
    <tr>
      <td valign="top">
        <fieldset>
          <legend><?php echo JText::_('MAIN_INFORMATION'); ?></legend>
          <table class="hikashop_affiliate_table">
            <tr>
              <td class="key">
                <label for="data[user][user_partner_activated]">
                  <?php echo JText::_( 'AFFILIATE_ACCOUNT_ACTIVE' ); ?>
                </label>
              </td>
              <td>
                <?php echo JHTML::_('select.booleanlist', "data[user][user_partner_activated]" , '',1,JText::_('HIKASHOP_YES'),  JText::_('HIKASHOP_NO')  ); ?>
              </td>
            </tr>
            <tr>
              <td class="key">
                <?php echo JText::_( 'ID' ); ?>
              </td>
              <td>
                <?php echo $this->escape(@$this->user->user_id); ?>
              </td>
            </tr>
            <tr>
              <td class="key">
                <label for="data[user][user_partner_email]">
                  <?php echo JText::_( 'PAYMENT_EMAIL_ADDRESS' ); ?>
                </label>
              </td>
              <td>
                <input type="text" name="data[user][user_partner_email]" class="inputbox" value="<?php echo $this->escape(@$this->user->user_partner_email); ?>" />
              </td>
            </tr>
            <?php if($this->allow_currency_selection){?>
            <tr>
              <td class="key">
                <label for="data[user][user_currency_id]">
                  <?php echo JText::_( 'PARTNER_CURRENCY' ); ?>
                </label>
              </td>
              <td>
                <?php echo $this->currencyType->display("data[user][user_currency_id]",@$this->user->user_currency_id,'onChange="changeCurrency();"');?>
              </td>
            </tr>
            <?php }?>
          </table>
        </fieldset>
      </td>
      <td valign="top">
        <fieldset>
          <legend><?php echo JText::_('STATS'); ?></legend>
          <?php if($this->advanced_stats){ ?>
              <span id="affiliate_all_clicks">
                <a class="modal" rel="{handler: 'iframe', size: {x: 760, y: 480}}" href="<?php echo hikashop_completeLink('affiliate&task=clicks&unpaid=0&user_id='.$this->user->user_id.'',true);?>">
                    <?php echo JText::_( 'CLICKS_ALL' ); ?> <img src="<?php echo HIKASHOP_IMAGES?>go.png" />
                </a>
              </span>
            <?php
            }
            $config =& hikashop_config();
            $affiliate_payment_delay = $config->get('affiliate_payment_delay');
            ?>
            <table class="hikashop_affiliate_stats_table">
              <thead>
                <tr>
                  <th></th>
                  <?php if(!empty($affiliate_payment_delay)){ ?><th><?php  $delayType = hikashop_get('type.delay'); echo hikashop_tooltip(JText::sprintf('AMOUNT_DELAY',$delayType->displayDelay($config->get('affiliate_payment_delay'))),JText::_('PAYABLE'),'',JText::_('PAYABLE'))?></th><?php } ?>
                  <th><?php echo JText::_('HIKASHOP_TOTAL'); ?></th>
                </tr>
              </thead>
              <tbody>
            <?php if(bccomp($this->user->user_params->user_partner_click_fee,0,5)){ ?>
            <tr id="affiliate_unpaid_clicks">
              <td class="key">
                <?php echo JText::_( 'CLICKS_UNPAID_AMOUNT' );
                if($this->advanced_stats){
                ?>
                <a class="modal" rel="{handler: 'iframe', size: {x: 760, y: 480}}" href="<?php echo hikashop_completeLink('affiliate&task=clicks&unpaid=1&user_id='.$this->user->user_id.'',true);?>">
                  <img src="<?php echo HIKASHOP_IMAGES?>go.png" />
                </a>
                <?php
                }?>
              </td>
              <?php if(!empty($affiliate_payment_delay)){ ?><td align="center">
                <?php echo $this->currencyHelper->format(@$this->user->accumulated['currentclicks'],@$this->user->user_currency_id); ?>
              </td><?php } ?>
              <td align="center">
                <?php echo $this->currencyHelper->format(@$this->user->accumulated['clicks'],@$this->user->user_currency_id); ?>
              </td>
            </tr>
            <?php
            }
            if(bccomp($this->user->user_params->user_partner_lead_fee,0,5)){
            ?>
            <tr id="affiliate_unpaid_leads">
              <td class="key">
                <?php echo JText::_( 'LEADS_UNPAID_AMOUNT' );
                if($this->advanced_stats){ ?>
                <a class="modal" rel="{handler: 'iframe', size: {x: 760, y: 480}}" href="<?php echo hikashop_completeLink('affiliate&task=leads&user_id='.$this->user->user_id.'',true);?>">
                  <img src="<?php echo HIKASHOP_IMAGES?>go.png" />
                </a>
                <?php
                }?>
              </td>
              <?php if(!empty($affiliate_payment_delay)){ ?><td align="center">
                <?php echo $this->currencyHelper->format(@$this->user->accumulated['currentleads'],@$this->user->user_currency_id); ?>
              </td><?php } ?>
              <td align="center">
                <?php echo $this->currencyHelper->format(@$this->user->accumulated['leads'],@$this->user->user_currency_id); ?>
              </td>
            </tr>
            <?php
            }
            if(bccomp($this->user->user_params->user_partner_percent_fee,0,5) || bccomp($this->user->user_params->user_partner_flat_fee,0,5)){ ?>
            <tr id="affiliate_unpaid_sales">
              <td class="key">
                <?php echo JText::_( 'SALES_UNPAID_AMOUNT' ); if($this->advanced_stats){ ?>
                <a class="modal" rel="{handler: 'iframe', size: {x: 760, y: 480}}" href="<?php echo hikashop_completeLink('affiliate&task=sales&user_id='.$this->user->user_id.'',true);?>">
                  <img src="<?php echo HIKASHOP_IMAGES?>go.png" />
                </a>
                <?php
                }?>
              </td>
              <?php if(!empty($affiliate_payment_delay)){ ?><td align="center">
                <?php echo $this->currencyHelper->format(@$this->user->accumulated['currentsales'],@$this->user->user_currency_id); ?>
              </td><?php } ?>
              <td align="center">
                <?php echo $this->currencyHelper->format(@$this->user->accumulated['sales'],@$this->user->user_currency_id); ?>
              </td>
            </tr>
            <?php
            }?>
            <tr id="affiliate_unpaid_amount">
              <td class="key">
                <?php echo JText::_( 'TOTAL_UNPAID_AMOUNT' ); ?>
              </td>
              <?php if(!empty($affiliate_payment_delay)){ ?><td align="center">
                <?php echo $this->currencyHelper->format(@$this->user->accumulated['currenttotal'],@$this->user->user_currency_id);   ?>
              </td><?php } ?>
              <td align="center">
                <?php echo $this->currencyHelper->format(@$this->user->accumulated['total'],@$this->user->user_currency_id);   ?>
              </td>
            </tr>
            </tbody>
          </table>
        </fieldset>
      </td>
    </tr>
  </table>
  <?php }elseif(!empty($this->user->user_id)){?>
  <fieldset>
    <legend><?php echo JText::_('MAIN_INFORMATION'); ?></legend>
    <table class="hikashop_affiliate_table" cellspacing="1" width="100%">
      <tr>
        <td class="key">
          <label for="data[user][user_partner_activated]">
            <?php echo JText::_( 'AFFILIATE_ACCOUNT_ACTIVE' ); ?>
          </label>
        </td>
        <td>
          <?php echo JHTML::_('select.booleanlist', "data[user][user_partner_activated]" , '',0,JText::_('HIKASHOP_YES'),  JText::_('HIKASHOP_NO')); ?>
        </td>
      </tr>
      <tr>
        <td class="key">
          <label for="data[user][user_partner_email]">
            <?php echo JText::_( 'PARTNER_EMAIL' ); ?>
          </label>
        </td>
        <td>
          <input type="text" name="data[user][user_partner_email]" class="inputbox" value="<?php echo $this->escape(@$this->user->user_partner_email); ?>" />
        </td>
      </tr>
    </table>
  </fieldset>
  <br/>
  <?php
  }
  if(!empty($this->affiliate_terms)){?>
    <span class="hikashop_affiliate_terms" id="hikashop_affiliate_terms">
      <a href="<?php echo JRoute::_('index.php?option=com_content&view=article&id='.$this->affiliate_terms); ?>"><?php echo JText::_('READ_AFFILIATE_TERMS'); ?></a>
    </span>
    <br/><?php
  }
  if(!empty($this->banners)){
    $this->setLayout('banners');
    echo $this->loadTemplate();
  }
  global $Itemid;
  ?>
  <input type="hidden" name="Itemid" value="<?php echo $Itemid; ?>"/>
  <input type="hidden" name="cid[]" value="<?php echo @$this->user->user_id; ?>" />
  <input type="hidden" name="option" value="com_hikashop" />
  <input type="hidden" name="task" value="" />
  <input type="hidden" name="ctrl" value="affiliate" />
  <?php echo JHTML::_( 'form.token' ); ?>
</form>
</div>
<div class="clear_both"></div>